Bug 189873 - [New port] sysutils/n98-magerun
Summary: [New port] sysutils/n98-magerun
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-16 23:30 UTC by Melvyn Sopacua
Modified: 2014-06-23 12:29 UTC (History)
1 user (show)

See Also:


Attachments
update.patch (2.15 KB, patch)
2014-05-16 23:30 UTC, Melvyn Sopacua
no flags Details | Diff
svn diff for new port where fetch works 8-} (3.60 KB, patch)
2014-06-15 14:54 UTC, Kurt Jaeger
no flags Details | Diff
Fix distinfo, WRKSRC and upgrade to 1.89.2 (1.79 KB, patch)
2014-06-15 15:58 UTC, Melvyn Sopacua
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Melvyn Sopacua 2014-05-16 23:30:00 UTC
n98-magerun is a CLI tool for inspection and control of Magento installations
as well as an aid to Magento developers.
Comment 1 Kurt Jaeger freebsd_committer 2014-06-15 14:20:33 UTC
Can you tell where the distfiles can be retrieved ? I tried to build it and it failed with:

[lots of sites...]
=> Couldn't fetch it - please try to retrieve this
=> port manually into /usr/ports/distfiles/ and try again.
Comment 2 Melvyn Sopacua 2014-06-15 14:46:24 UTC
I bet you used an IPv6 only jail? :)

=> Attempting to fetch https://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz
fetch: https://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz: size unknown
fetch: https://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz: size of remote file is not known
n98-magerun-1.89.1.tar.gz                             1679 kB 1021 kBps 00m02s
===> Fetching all distfiles required by n98-magerun-1.89.1 for building
===>  Extracting for n98-magerun-1.89.1
=> SHA256 Checksum OK for n98-magerun-1.89.1.tar.gz.

unsetting the ipv4 handling proxy:

=> n98-magerun-1.89.1.tar.gz doesn't seem to exist in /var/distfiles/.
=> Attempting to fetch https://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz
fetch: https://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz: Protocol not supported
=> Attempting to fetch http://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz
fetch: http://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz: Protocol not supported
=> Attempting to fetch https://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz
fetch: https://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz: Protocol not supported
=> Attempting to fetch http://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz
fetch: http://codeload.github.com/netz98/n98-magerun/tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz: Protocol not supported
=> Attempting to fetch https://nodeload.github.com/netz98/n98-magerun/legacy.tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz
fetch: https://nodeload.github.com/netz98/n98-magerun/legacy.tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz: Protocol not supported
=> Attempting to fetch http://nodeload.github.com/netz98/n98-magerun/legacy.tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz
fetch: http://nodeload.github.com/netz98/n98-magerun/legacy.tar.gz/1.89.1?dummy=/n98-magerun-1.89.1.tar.gz: Protocol not supported
=> Attempting to fetch http://cloud.github.com/downloads/netz98/n98-magerun/n98-magerun-1.89.1.tar.gz
fetch: http://cloud.github.com/downloads/netz98/n98-magerun/n98-magerun-1.89.1.tar.gz: Protocol not supported
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/n98-magerun-1.89.1.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/n98-magerun-1.89.1.tar.gz: Not Found

Note the "Protocol not supported" and see my mail from a few seconds ago.
Comment 3 Kurt Jaeger freebsd_committer 2014-06-15 14:54:22 UTC
Created attachment 143805 [details]
svn diff for new port where fetch works 8-}
Comment 4 Kurt Jaeger freebsd_committer 2014-06-15 14:55:09 UTC
Thanks for the info about IPv6, but I assume there's a different cause. Please check my svn diff and approve.
Comment 5 Melvyn Sopacua 2014-06-15 14:59:00 UTC
Can you show me exact output? I'd like to understand what is going wrong and why it's working for me.
In the meantime, I'll test your changes.
Comment 6 Melvyn Sopacua 2014-06-15 15:53:33 UTC
Now I remember why I made the bsd.sites.mk patch. The legacy.tar.gz has the retarded root directory.

I should really prepare a sweeping commit to get FreeBSD ports off the legacy format and into proper tarballs, so that you can just update the portversion and be done with it on minor upgrades. GRMBL.
Comment 7 Melvyn Sopacua 2014-06-15 15:58:54 UTC
Created attachment 143809 [details]
Fix distinfo, WRKSRC and upgrade to 1.89.2

- Record GH_COMMIT cause we use the legacy format.
- Let WRKSRC sort itself out based on all the GH_ variables.
- Update distinfo
- Upgrade to 1.89.2 while we're here
Comment 8 commit-hook freebsd_committer 2014-06-23 12:28:09 UTC
A commit references this bug:

Author: pi
Date: Mon Jun 23 12:27:17 UTC 2014
New revision: 358926
URL: http://svnweb.freebsd.org/changeset/ports/358926

Log:
  sysutils/n98-magerun: new port

  Provides some handy tools for magento developers like a quick database
  info from local.xml or a database dump feature, cache clearing, admin
  user password reset. You can also easily install a complete shop and
  sample data with buildin installer. For coders there are also many
  features like a module kickstarter (with modman support).

  WWW: http://magerun.net/

  PR:		189873
  Submitted by:	Melvyn Sopacua <melvyn@magemana.nl>

Changes:
  head/sysutils/Makefile
  head/sysutils/n98-magerun/
  head/sysutils/n98-magerun/Makefile
  head/sysutils/n98-magerun/distinfo
  head/sysutils/n98-magerun/pkg-descr
  head/sysutils/n98-magerun/pkg-plist
Comment 9 Kurt Jaeger freebsd_committer 2014-06-23 12:29:50 UTC
Thanks, committed!